Package twisted :: Package enterprise :: Module dbgadgets :: Class NewPerspectiveForm |
[frames | no frames]

## Class NewPerspectiveForm

      Widget --+
               |
            Form --+
                   |
    Resource --+   |
               |   |
          Gadget --+
                   |
                  NewPerspectiveForm

Method Summary
| `__init__(self, authorizer)`
| ``display`(self, request)` Display the form.
| `onServices(self, data)`
| `process(self, write, request, submit, name, service, identityName)`
Inherited from Gadget
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget.
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getWidget`(self, path, request)`
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs).
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget.
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget.
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
Inherited from Form
| ``_displayFormat`(self, request, form)`
| ``_displayProcess`(self, request, form)`
| ``_doProcess`(self, form, write, request)` (internal) Prepare arguments for self.process.
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields.
| ``formatError`(self, error)` Format an error message.
| ``getFormFields`(self, request, fieldSet)` I return a list of lists describing this form, or a Deferred.
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type.
| ``shouldProcess`(self, request)`
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `title` = `' '`
Inherited from Gadget
`int` | `isLeaf` = 0
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None
Inherited from Form
`str` | `actionURI` = `''`
`int` | `formAcceptExtraArgs` = 0
`list` | `formFields` = `[]`
`dict` | `formGen` = `{'checkbox': <function htmlFor_checkbox at 0x8...`
`dict` | `formParse` = `{'int': <type 'int'>, 'float': <type 'float'...`
`list` | `submitNames` = `['Submit']`

Method Details

### display(self, request) Display the form. Overrides: `twisted.web.widgets.Form.display` (inherited documentation)

Class Variable Details

    ### title Type: `str` Value:
        ' '

Generated by Epydoc 2.0 on Sat Oct 25 00:54:55 2003 | http://epydoc.sf.net